package com.qmth.demo.api.auth;

import com.qmth.boot.core.security.service.AuthorizationService;
import com.qmth.boot.tools.signature.SignatureType;
import org.springframework.stereotype.Component;

@Component
public class DemoAuthorizationService implements AuthorizationService<DemoSession> {

    @Override
    public DemoSession findByIdentity(String identity, SignatureType type, String path) {
        return new DemoSession(identity, "123456");
    }

    @Override
    public boolean hasPermission(DemoSession accessEntity, String path) {
        return true;
    }
}
